#pragma once
#include <string>
#include <initializer_list>
#include <map>
#include <any>
#include <vector>


struct drug
{
	int pharmacy; // 
	std::string name; //  
	int quantity; // 
	double price; // 
	std::string date; //  
	int storage_time; //  

	drug() = default;
	drug(int, std::string, int, double, std::string, int);

	friend std::istream& operator>> (std::istream&, drug&);
	friend std::ostream& operator<< (std::ostream&, drug&);
};

